Subject: Re: [Simple] xcap/geopriv alignment, issue 1: conditions

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 02 Dec 2003 15:19:16 -0500

inline.

Robert Sparks wrote:

> I agree that moving the conditional from an accept-if into
> the applies-to tag is the right thing to do.
> 
> There is at least one ramification that needs to be carefully documented
> if we do this.
> 
> There needs to be a way to say things like "I'll accept (whatever)
> if it is authenticated using either Digest or an S/MIME signature."
> 
> In xcap-auth-01, I think this was acheivable with multiple accept-if's
> inside a permission (but am not sure where I got this idea - accept-if
> is missing from the schema).

Yes, that was the idea, although this was far from clear from the spec.

> 
> With this proposed change, we will have to either have to 
> have multiple permissions (one that accepts if digest and another
> that accepts if s/mime) or add an OR function to the list of things 
> in applies-to.

Right. I think we would eventually define boolean operators, and that 
this would be the right way to do it. In the interim, use multiple 
statements. I can document that.

Thanks,
Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 02 Dec 2003 15:19:16 -0500

inline.

Thanks,
Jonathan R.